Index: appendices/symlinks/rc0.xml
===================================================================
--- appendices/symlinks/rc0.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc0.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -144,5 +144,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Stop network file system: </entry>
+<entry>Stop network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc1.xml
===================================================================
--- appendices/symlinks/rc1.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc1.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -125,5 +125,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Stop network file system: </entry>
+<entry>Stop network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc2.xml
===================================================================
--- appendices/symlinks/rc2.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc2.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -102,5 +102,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Stop network file system: </entry>
+<entry>Stop network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc3.xml
===================================================================
--- appendices/symlinks/rc3.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc3.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -81,5 +81,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Start network file system: </entry>
+<entry>Start network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc4.xml
===================================================================
--- appendices/symlinks/rc4.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc4.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -81,5 +81,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Start network file system: </entry>
+<entry>Start network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc5.xml
===================================================================
--- appendices/symlinks/rc5.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc5.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -74,5 +74,5 @@
 <entry>NFS</entry>
 <entry><filename>../init.d/nfs</filename></entry>
-<entry>Start network file system: </entry>
+<entry>Start network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: appendices/symlinks/rc6.xml
===================================================================
--- appendices/symlinks/rc6.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ appendices/symlinks/rc6.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -144,6 +144,6 @@
 <entry>K48</entry>
 <entry>NFS</entry>
-<entry><filename>../init.d/samba</filename></entry>
-<entry>Stop network file system: </entry>
+<entry><filename>../init.d/nfs</filename></entry>
+<entry>Stop network file system:  <xref linkend="nfs-utils"/></entry>
 </row>
 
Index: basicnet/netprogs/netprogs.xml
===================================================================
--- basicnet/netprogs/netprogs.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/netprogs.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -16,5 +16,5 @@
 &portmap;
 &inetutils;
-<!-- &nfs-utils; -->
+&nfs-utils;
 &ncpfs;
 &ntp;
Index: basicnet/netprogs/nfs-utils.xml
===================================================================
--- basicnet/netprogs/nfs-utils.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -3,13 +3,8 @@
 <title>NFS Utilities-&nfs-utils-version;</title>
 
-<para>TO BE DONE</para>
-
-<!--
 &nfs-utils-intro;
 &nfs-utils-inst;
-&nfs-utils-exp;
 &nfs-utils-config;
 &nfs-utils-desc;
--->
 
 </sect1>
Index: basicnet/netprogs/nfs-utils/nfs-utils-config.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-config.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils/nfs-utils-config.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -2,12 +2,140 @@
 <title>Configuring nfs-utils</title>
 
-<sect3><title>Config files</title>
-<para><userinput>List of config files</userinput></para>
+<sect3><title>Server Configutation</title>
+
+<para><filename>/etc/exports</filename> contains the exported directories on NFS servers.
+Refer to the exports manual page for the syntax of this file. Also refer to the
+NFS HowTo available at <ulink url="http://nfs.sourceforge.net/nfs-howto/"/> on how to
+configure the servers and clients in a secure manner. For example, for sharing the
+<filename>/home</filename> directory over the local network, the following line may
+be added:</para>
+
+<screen><userinput>/home 192.168.0.0/255.255.0.0(rw)</userinput></screen>
+
+<para>Create the nfs-server script to start the server at boot:</para>
+
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/nfs-server</command>
+#!/bin/sh
+# Begin $rc_base/init.d/nfs-server
+                                                                                                                
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+                                                                                                                
+. /etc/sysconfig/rc
+. $rc_functions
+                                                                                                                
+case "$1" in
+    start)
+            echo "Starting NFS Server..."
+            loadproc /usr/sbin/rpc.mountd
+            loadproc /usr/sbin/rpc.nfsd 8
+            loadproc /usr/sbin/rpc.statd
+            ;;
+                                                                                                                
+    stop)
+            echo "Stopping NFS Server..."
+            killproc /usr/sbin/rpc.nfsd
+            killproc /usr/sbin/rpc.mountd
+            ;;
+                                                                                                                
+    reload)
+            echo "Reloading NFS Server..."
+            /usr/sbin/exportfs -ra
+            ;;
+                                                                                                                
+    restart)
+            $0 stop
+            sleep 1
+            $0 start
+            ;;
+                                                                                                                
+    status)
+            statusproc /usr/sbin/rpc.mountd
+            statusproc /usr/sbin/rpc.nfsd
+            ;;
+                                                                                                                
+    *)
+            echo "Usage: $0 {start|stop|reload|restart|status}"
+            exit 1
+            ;;
+esac
+                                                                                                                
+# End $rc_base/init.d/nfs-server
+<command>EOF
+chmod 755 /etc/rc.d/init.d/nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc0.d/K48nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc1.d/K48nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc2.d/K48nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc3.d/S24nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc4.d/S24nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc5.d/S24nfs-server &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-server /etc/rc.d/rc6.d/K48nfs-server</command></userinput></screen>
+
 </sect3>
 
-<sect3><title>Configuration Information</title>
+<sect3><title>Client Configutation</title>
 
-<para><userinput>USERINPUT GOES HERE</userinput> Blah blah blah about config.
-</para>
+<para><filename>/etc/fstab</filename> contains the directories that are to be mounted
+on the client. Alternately the partitions can be mounted by using the
+<command>mount</command> command with the proper options. To mount the <filename>/home</filename>
+partition, add the following to the <filename>/etc/fstab</filename>:</para>
+
+<screen><userinput>&lt;server-name&gt;:/home /home nfs rw 0 0</userinput></screen>
+
+<para>Create the nfs-client script to mount the partitions at boot:</para>
+
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/nfs-client</command>
+#!/bin/sh
+# Begin $rc_base/init.d/nfs-client
+                                                                                                                
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+                                                                                                                
+. /etc/sysconfig/rc
+. $rc_functions
+                                                                                                                
+case "$1" in
+    start)
+            echo "Mounting NFS Partitions..."
+            loadproc /usr/sbin/rpc.statd
+            loadproc /usr/sbin/rpc.lockd
+            mount -a -t nfs
+            ;;
+                                                                                                                
+    stop)
+            echo "Unmounting NFS Partitions..."
+            umount -a -t nfs
+            killproc /usr/sbin/rpc.lockd
+            killproc /usr/sbin/rpc.statd
+            ;;
+                                                                                                                
+    restart)
+            $0 stop
+            sleep 1
+            $0 start
+            ;;
+                                                                                                                
+    status)
+            statusproc /usr/sbin/rpc.statd
+            statusproc /usr/sbin/rpc.lockd
+            ;;
+                                                                                                                
+    *)
+            echo "Usage: $0 {start|stop|restart|status}"
+            exit 1
+            ;;
+esac
+                                                                                                                
+# End $rc_base/init.d/nfs-client
+<command>EOF
+chmod 755 /etc/rc.d/init.d/nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc0.d/K48nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc1.d/K48nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc2.d/K48nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc3.d/S24nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc4.d/S24nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc5.d/S24nfs-client &amp;&amp;
+ln -s /etc/rc.d/init.d/nfs-client /etc/rc.d/rc6.d/K48nfs-client</command></userinput></screen>
+
 </sect3>
 
Index: basicnet/netprogs/nfs-utils/nfs-utils-desc.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-desc.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils/nfs-utils-desc.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -2,5 +2,20 @@
 <title>Contents</title>
 
-<para>The nfs-utils package contains <userinput>LISTOFFILES</userinput></para>
+<para>The nfs-utils package contains 
+<command>getiversion</command>,
+<command>getkversion</command>,
+<command>locktest</command>,
+<command>nlmtest</command>,
+<command>rpcdebug</command>,
+<command>rpcgen</command>,
+<command>exportfs</command>,
+<command>lockd</command>,
+<command>mountd</command>,
+<command>nfsd</command>,
+<command>nfsstat</command>,
+<command>nhfsstone</command>,
+<command>rquotad</command>,
+<command>showmount</command>,
+<command>statd</command> </para>
 
 </sect2>
@@ -8,9 +23,38 @@
 <sect2><title>Description</title>
 
-<sect3><title>item1</title>
-<para>item1 does this</para></sect3>
-
-<sect3><title>item2</title>
-<para>item2 does that</para></sect3>
+<sect3><title>getiversion</title><para><command>getiversion</command>
+tbd</para></sect3>
+<sect3><title>getkversion</title><para><command>getkversion</command>
+tbd</para></sect3>
+<sect3><title>locktest</title><para><command>locktest</command>
+tbd</para></sect3>
+<sect3><title>nlmtest</title><para><command>nlmtest</command>
+tbd</para></sect3>
+<sect3><title>rpcdebug</title><para><command>rpcdebug</command>
+tbd</para></sect3>
+<sect3><title>rpcgen</title><para><command>rpcgen</command>
+tbd</para></sect3>
+<sect3><title>exportfs</title><para><command>exportfs</command>
+Maintains a list of NFS exported directories. 
+Works together with the kernel.</para></sect3>
+<sect3><title>lockd</title><para><command>lockd</command>
+The nfs lock manager</para></sect3>
+<sect3><title>mountd</title><para><command>mountd</command>
+The nfs mount daemon. Checks client-permissions.</para></sect3>
+<sect3><title>nfsd</title><para><command>nfsd</command>
+The user-level part of the NFS service. Main part of the work
+is done by the kernel.</para></sect3>
+<sect3><title>nfsstat</title><para><command>nfsstat</command>
+Print NFS statistics.</para></sect3>
+<sect3><title>nhfsstone</title><para><command>nhfsstone</command>
+NFS benchmark program</para></sect3>
+<sect3><title>rquotad</title><para><command>rquotad</command>
+The remote quota server. Works together with <command>quota(1)</command>
+</para></sect3>
+<sect3><title>showmount</title><para><command>showmount</command>
+Shows mount information for an NFS server.</para></sect3>
+<sect3><title>statd</title><para><command>statd</command>
+The NFS status monitor. Implements the NSM (Network Status Monitor) RPC protocol.
+</para></sect3>
 
 </sect2>
Index: basicnet/netprogs/nfs-utils/nfs-utils-inst.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-inst.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils/nfs-utils-inst.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -1,2 +1,18 @@
+<sect2>
+<title>Kernel Configuration</title>
+
+<para>Enable the following options in the kernel configuration
+and recompile the kernel if neccessary:</para>
+
+<screen>File systems:
+  Network File Systems:
+    NFS File System Support: M or Y
+    NFS Server Support: M or Y</screen>
+
+<para>Select the appropriate sub-options that appear when the above options
+are selected.</para>
+
+</sect2>
+
 <sect2>
 <title>Installation of nfs-utils</title>
@@ -4,5 +20,12 @@
 <para>Install nfs-utils by running the following commands:</para>
 
-<para><screen><userinput>./configure </userinput></screen></para>
+<para><screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen></para>
+
+<note><para>If your <filename>/usr</filename> directory is NFS mounted,
+you should install the executables in <filename>/sbin</filename> by passing
+an additional parameter <command>--sbindir=/sbin</command> to the above
+<command>./configure</command> command.</para></note>
 
 </sect2>
Index: basicnet/netprogs/nfs-utils/nfs-utils-intro.xml
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils-intro.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils/nfs-utils-intro.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -2,5 +2,7 @@
 <title>Introduction to <application>nfs-utils</application></title>
 
-<para>The <applications>nfs-utils</application> package contains... This is useful for...</para>
+<para>The <application>nfs-utils</application> package contains the userspace server and client
+tools necessary to use the kernel's nfs-abilities. <acronym>NFS</acronym> is a protocol that
+allows sharing disk partitions over the network.</para>
 
 <sect3><title>Package information</title>
@@ -19,7 +21,6 @@
 <sect3><title><application>nfs-utils</application> dependencies</title>
 <sect4><title>Required</title>
-<para>DEPENDENCE LIST</para></sect4>
-<sect4><title>Optional</title>
-<para>OPTIONAL LIST</para></sect4>
+<para><xref linkend="portmap"/></para>
+</sect4>
 </sect3>
 
Index: basicnet/netprogs/nfs-utils/nfs-utils.ent
===================================================================
--- basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ basicnet/netprogs/nfs-utils/nfs-utils.ent	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -5,8 +5,8 @@
 <!ENTITY nfs-utils-config SYSTEM "nfs-utils-config.xml">
 <!ENTITY nfs-utils-desc SYSTEM "nfs-utils-desc.xml">
-<!ENTITY nfs-utils-version "1.0.3">
-<!ENTITY nfs-utils-download-http "http://unc.dl.sourceforge.net/sourceforge/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
+<!ENTITY nfs-utils-version "1.0.6">
+<!ENTITY nfs-utils-download-http "http://ftp.kernel.org/pub/linux/utils/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
 <!ENTITY nfs-utils-download-ftp "ftp://ftp.kernel.org/pub/linux/utils/nfs/nfs-utils-&nfs-utils-version;.tar.gz">
-<!ENTITY nfs-utils-size "237 KB">
-<!ENTITY nfs-utils-buildsize "">
+<!ENTITY nfs-utils-size "336 KB">
+<!ENTITY nfs-utils-buildsize "8 MB">
 <!ENTITY nfs-utils-time "">
Index: index.xml
===================================================================
--- index.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ index.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040310">
-<!ENTITY releasedate "March 10th, 2004">
+<!ENTITY version "CVS-20040311">
+<!ENTITY releasedate "March 11th, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ introduction/welcome/changelog.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>March 10th, 2004 [tushar]: Added nfs-utils-1.0.6.
+Submitted by Reinhard.</para></listitem>
 
 <listitem><para>March 10th, 2004 [igor]: Updated to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ introduction/welcome/credits.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -172,4 +172,6 @@
 <listitem><para>ntp: <emphasis>Eric Konopka</emphasis></para></listitem>
 
+<listitem><para>nfs-utils: <emphasis>Reinhard</emphasis></para></listitem>
+
 </itemizedlist>
 </sect2>
@@ -250,4 +252,6 @@
 awareness.</para></listitem>
 
+<listitem><para><emphasis>Ian Chilton</emphasis> for writing the nfs hint.</para></listitem>
+
 </itemizedlist>
 </sect2>
Index: server/other/openssh/openssh-config.xml
===================================================================
--- server/other/openssh/openssh-config.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ server/other/openssh/openssh-config.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -33,5 +33,5 @@
 
 case "$1" in
-        start)
+    start)
 	        echo "Starting SSH Server..."
 	        loadproc /usr/sbin/sshd
Index: x/installing/xfree86/xfree86-inst.xml
===================================================================
--- x/installing/xfree86/xfree86-inst.xml	(revision 14e31ce3e287b3a684eece36c72aac15cfc47788)
+++ x/installing/xfree86/xfree86-inst.xml	(revision a945d40ec2728e3e6032e61583c0ec375f02a2c2)
@@ -36,9 +36,5 @@
 do not enable <acronym>DRI</acronym>.</para>
 
-<para>If you made any changes to the kernel configuration, recompile with</para>
-<screen><userinput>make dep &amp;&amp;
-make bzImage &amp;&amp;
-make modules &amp;&amp;
-make modules_install</userinput></screen>
+<para>If you made any changes to the kernel configuration, recompile the kernel.</para>
 
 <para>Copy <filename>/usr/src/linux/arch/i386/boot/bzImage</filename> and
